NDNCI Docs
API v1API reference

List workspace media

Return a cursor-paginated page of media metadata from the selected workspace's library.

GET/v1/media

Authorization

bearerKey
AuthorizationBearer <token>

A scoped automation key authorized for the REST API.

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default25
cursor?string
Lengthlength <= 200

Header Parameters

X-Ndnci-Workspace*string

Select a workspace explicitly included in this access grant.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/media" \  -H "X-Ndnci-Workspace: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Authorization: Bearer <NDNCI_API_KEY>"
{  "success": true,  "code": "PUBLIC_MEDIA_LIST",  "message": "Successful response",  "data": {    "items": [],    "nextCursor": null  }}

Required scope: media:read · Usage points: 2

Credits are charged separately for work that consumes paid services.